/*
 * Class WEL_DISK_SPACE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_138 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_138 [] = {0xFF01,1551,137,0xFFFF};
static const EIF_TYPE_INDEX egt_2_138 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_3_138 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_138 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_138 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_6_138 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_7_138 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_138 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_138 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_138 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_138 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_138 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_13_138 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_14_138 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_15_138 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_16_138 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_138[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_138), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_138), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_138), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_138), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_138), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_138), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_138), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_138), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_138), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_138), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_138), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_138), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0113 /*137*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_138), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3740, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 3741, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 3742, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 3743, 4},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 3744, 12},
	{EIF_GENERIC(egt_13_138), 3745, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_138), 3746, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3747, 0},
	{EIF_GENERIC(egt_15_138), 3748, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_138), 3749, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3750, 0xFFFFFFFF},
};
void Init138(void)
{
	IDSC(desc_138, 0, 137);
	IDSC(desc_138 + 1, 1, 137);
	IDSC(desc_138 + 32, 336, 137);
}


#ifdef __cplusplus
}
#endif
